Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.designtime.internal.provisional.el
Class DefaultDTVariableResolver

    java.lang.Object
      org.eclipse.jst.jsf.designtime.internal.provisional.el.AbstractDTVariableResolver
          org.eclipse.jst.jsf.designtime.internal.provisional.el.DefaultDTVariableResolver

public class DefaultDTVariableResolver
extends AbstractDTVariableResolver

A design time proxy for the runtime VariableResolver. This is used to resolve the first element of a var.prop.prop2 type of sub-expression in a JSF EL expression Clients may sub-class

Constructor Summary
`DefaultDTVariableResolver()`

Method Summary
`ISymbol[]` | `getAllVariables(DTFacesContext facesContext, org.eclipse.core.runtime.IAdaptable externalContextKey)`
`ISymbol` | `resolveVariable(DTFacesContext context, java.lang.String name, org.eclipse.core.runtime.IAdaptable externalContextKey)` Tries to mirror the JSF 1.1 runtime VariableResolver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDTVariableResolver

    public DefaultDTVariableResolver()

Method Detail

### resolveVariable

    public ISymbol resolveVariable(DTFacesContext context,
                                   java.lang.String name,
                                   org.eclipse.core.runtime.IAdaptable externalContextKey)

  Tries to mirror the JSF 1.1 runtime VariableResolver

  Specified by:
    `resolveVariable` in class `AbstractDTVariableResolver`
  Parameters:
    `context` -
    `name` -
    `externalContextKey` - -- an adapter that identifies the external application context within which to resolve name. For example, this could be an IFile representing a JavaServer Page in which we want to resolve the symbol name
  Returns:
    the symbol corresponding to name in the faces context or null if not found
  See Also:
    `AbstractDTVariableResolver.resolveVariable(org.eclipse.jst.jsf.designtime.internal.provisional.context.DTFacesContext, java.lang.String, org.eclipse.core.runtime.IAdaptable)`

### getAllVariables

    public ISymbol[] getAllVariables(DTFacesContext facesContext,
                                     org.eclipse.core.runtime.IAdaptable externalContextKey)

  Specified by:
    `getAllVariables` in class `AbstractDTVariableResolver`
  Parameters:
    `facesContext` -
    `externalContextKey` -
  Returns:
    all variables

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD